<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	class ZLEADSCRM_ANALYTICS_Core_Admin {

		public function __construct() {
			add_action( 'plugins_loaded', array( $this, 'init_hooks' ), 50 );
		}


		public function init_hooks() {
			if ( ! class_exists( 'ZLEADSCRM_BASIC_Core' ) ) {
				add_action( 'admin_notices', function () {
					?>
                    <div class="notice notice-error is-dismissible">
                        <p>To be able to use Leads Advanced Analytics Add-on, you need to install the Leads Basic Plugin
                            first!</p>
                    </div>
					<?php

				} );

				return;
			}

			add_action( 'admin_init', array( $this, 'admin_init' ) );

			add_action( 'admin_menu', array( $this, 'admin_menu' ), 50 ); // Add Menu Item

		}

		public function admin_init() {
		}

		public function admin_menu() {
			if ( zleadscrm_user_can_access_analytics( get_current_user_id() ) ) {
				add_submenu_page( 'zleadscrm_bookmarks', 'Analytics', 'Analytics', 'read', 'zleadscrm_insights', array(
					$this,
					'show_zleadscrm_insights'
				) );
			}

			zleadscrm_sort_zleadscrm_menu();

		}

		public function show_zleadscrm_insights() { // Insights Page
			include_once( ZLEADSCRM_ANALYTICS_PLUGIN_DIR . 'template/insights.php' );
		}

		public function show_zleadscrm_analytics_tab( $current ) {
			$tabs = array(
				'my_analytics' => 'My Analytics'
			);

			if ( zleadscrm_user_can_view_company_analytics( get_current_user_id() ) ) {
				$tabs['company_analytics'] = 'Company Analytics';
			}

			$html = '<h2 class="nav-tab-wrapper">';
			foreach ( $tabs as $tab => $name ) {
				$class = ( $tab == $current ) ? 'nav-tab-active' : '';
				$html  .= '<a class="nav-tab ' . esc_attr( $class ) . '" href="?page=zleadscrm_insights&tab=' . esc_attr( $tab ) . '">' . esc_html( $name ) . '</a>';
			}
			$html .= '</h2>';

			echo $html;
		}

	}

?>